Subject: Re: [bug#35082] [PATCH] gnu: Add kawa.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 Apr 2019 10:01:20 +0200

Hello,

Carlo Zancanaro <[email-masked]> skribis:

> On Thu, Apr 04 2019, Ludovic Courtès wrote:
>> Carlo Zancanaro <[email-masked]> skribis:
>>
>>> The suggested synopsis is "Java framework and implementation of
>>> Scheme, Elisp, and more", and the suggested description is "GNU
>>> Kawa is an implementation of the Scheme programming language that
>>> is built on top of the Java platform.  It is thus conveniently
>>> integrated with Java and benefits from this by having a compiler,
>>> optional static typing, and so on.  Kawa also serves as a framework
>>> for implementing other programming languages on the Java platform.
>>> Included in Kawa is qexo, a partial implementation of XQuery in
>>> Java."
>>
>> I actually have a slight preference for these :-), I find it more
>> factual than what you propose, but I’m happy either way.
>
> The main difference is the emphasis. The suggested text emphasises the
> "framework" aspect of Kawa, whereas my text emphasise the "Scheme"
> aspect (with a short mention of the framework at the end). I don't
> know which emphasis the project desires, so I've Cced Per Bothner in
> case he has a preference. The text that I have used in the description
> is loosely taken from the Kawa home page[1].

Per, note that the “suggested description” that Carlo refers to above
is the canonical description that GNU has for Kawa:

  http://cvs.savannah.gnu.org/viewvc/*checkout*/womb/gnumaint/rec/pkgblurbs.rec

We should change it if it doesn’t match the way you would present Kawa.

Let us know what you think!

Thanks,
Ludo’.